package _VisualDVM.TestingSystem.Common.Configuration.Json;
import _VisualDVM.TestingSystem.Common.Configuration.Configuration;
import com.google.gson.annotations.Expose;

import java.io.Serializable;
import java.util.List;
import java.util.Vector;
public class ConfigurationsJson implements Serializable {
    @Expose
    public List<ConfigurationJson> array = new Vector<>();
    public ConfigurationsJson() {
    }
    //при создании пакета.
    public ConfigurationsJson(Vector<? extends Configuration> configurations) {
        array = new Vector<>();
        for (Configuration configuration : configurations)
            array.add(new ConfigurationJson(configuration));
    }
}
